Subject: bug#58149: guix pull error

From: Matthieu Haefele <[email-masked]>
Date: Thu, 29 Sep 2022 17:04:18 +0200

Hi Ludo,

Le 29/09/2022 à 15:37, Ludovic Courtès a écrit :
>
>>> guix/ui.scm:1747:12: In procedure run-guix-command:
>>> unsupported compression scheme lzip
> Matthieu, how did you install guix-daemon?
>
> The daemon provided in the binary installation tarball at
> <https://guix.gnu.org/en/download> has supported lzip for a few years
> already.  Likewise if you’re on Guix System.
>
> So I suspect that’s a custom installation where lzip support is somehow
> missing, which can be a problem (ci.guix.gnu.org dropped gzip,
> supporting only zstd + lzip, back in February.)
>
> Thanks,
> Ludo’.
>
> ¹ https://guix.gnu.org/en/blog/2022/sunsetting-gzip-substitutes-availability/

Well, I installed guix on my laptop (with ubuntu) the very standard way described on guix website. It was back in January 2020. I 
am issuing `guix pull` commands since without any problem. A colleague came to me yesterday asking for help because guix pull 
crashes on his end(with yet another error). I tried on my end and got the errors we are discussing. I had a try on plafrim and it 
goes through.

I am completely blind here.
Thanks for your help
Mat